Bug 1011882 - No possibility to set protocol for syslog-handler through CLI/Management API
No possibility to set protocol for syslog-handler through CLI/Management API
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: EAP 6.3.0
Assigned To: James Perkins
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 06:23 EDT by Ondrej Lukas
Modified: 2014-09-16 13:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-16 13:07:01 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-109 Major Open Update syslog handler attributes 2017-08-07 04:37 EDT

  None (edit)
Description Ondrej Lukas 2013-09-25 06:23:03 EDT
Only default UDP protocol is used for syslog-handler. There is no possibility to set TCP/TLS through CLI/Management API. Functionality has been implemeted yet but it couldn't be set by users.
Comment 1 Brian Stansberry 2013-09-25 11:07:15 EDT
Is this a problem in the /core-service=management/access=audit resource tree as well, or just in subsystem=logging?
Comment 2 Ondrej Lukas 2013-09-26 00:46:53 EDT
Problem is only in subsystem=logging syslog-handler.

CLI commands and output:
/subsystem=logging/syslog-handler=syslog:add()
/subsystem=logging/syslog-handler=syslog:read-resource(recursive=true)
{
    "outcome" => "success",
    "result" => {
        "app-name" => undefined,
        "enabled" => true,
        "facility" => "user-level",
        "hostname" => undefined,
        "level" => "ALL",
        "port" => 514,
        "server-address" => "localhost",
        "syslog-format" => "RFC5424"
    }
}

There is no attribute for protocol.
Comment 7 James Perkins 2014-09-16 13:07:01 EDT
This will not be done for EAP 6, but I will target EAP 7 for this. The current way in EAP 6 will be to use the syslog handler as a custom-handler.

Note You need to log in before you can comment on or make changes to this bug.